package frc.robot.constants;

public interface ElevatorConstants {
    public static final int kMotor1CANID = 0;
    public static final int kMotor2CANID = 1;

    public static final int kEncoderChannelADIO = 0;
    public static final int kEncoderChannelBDIO = 1;

    public static final double kEncoderDistancePerPulse = 0;

    public static final double kPPositional = 0;
    public static final double kIPositional = 0;
    public static final double kDPositional = 0;

    public static final double kPVelocity = 0;
    public static final double kIVelocity = 0;
    public static final double kDVelocity = 0;

    public static final double kPIDTolerancePositional = 0;
    public static final double kPIDToleranceVelocity = 0;

    public static final double kFFS = 0;
    public static final double kFFG = 0;
    public static final double kFFV = 0;

    public static final double kDefaultBottomPositionalSetpoint = 0;
    public static final double kDefaultLowMidPositionalSetpoint = 1;
    public static final double kDefaultHighMidPositionalSetpoint = 2;
    public static final double kDefaultTopPositionalSetpoint = 3;
}
